Bug 13235 - Revise layout of patron search form
Summary: Revise layout of patron search form
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-11 20:00 UTC by Owen Leonard
Modified: 2016-12-05 21:22 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13235 - Revise layout of patron search form (13.45 KB, patch)
2014-11-12 19:23 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 13235 - Revise layout of patron search form (13.44 KB, patch)
2014-12-02 18:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 13235 - Revise layout of patron search form (13.46 KB, patch)
2014-12-03 08:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13235: Move onclick attr to javacsript code (1.96 KB, patch)
2014-12-03 08:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 13235 - Revise layout of patron search form (13.52 KB, patch)
2014-12-05 15:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13235: Move onclick attr to javacsript code (2.03 KB, patch)
2014-12-05 15:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] [Rebased] Bug 13235 - Revise layout of patron search form (13.52 KB, patch)
2015-01-22 19:14 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 13235: Move onclick attr to javacsript code (2.07 KB, patch)
2015-01-22 19:15 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-11-11 20:00:04 UTC
Bug 10153 changed the layout of the patron search form so that expanded search fields would be stacked (http://www.screencast.com/t/LnVgH2nV) rather than in one line (http://www.screencast.com/t/t0XkqsSX).

Bug 9811 returned the layout to a non-stacked layout (http://www.screencast.com/t/9Cn8B0VKm6q), but I think this was not done as an intentional override of Bug 10153. I think the patch was based on the previous version.

I propose to bring back the stacked version.
Comment 1 Katrin Fischer 2014-11-11 20:02:20 UTC
I liked the non-stacked, especially since German words are often longer than the english ones and the stacked layout gives more flexiblity.
Comment 2 Owen Leonard 2014-11-12 19:23:03 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-11-25 16:50:50 UTC
(In reply to Owen Leonard from comment #0)
> Bug 9811 returned the layout to a non-stacked layout
> (http://www.screencast.com/t/9Cn8B0VKm6q), but I think this was not done as
> an intentional override of Bug 10153. I think the patch was based on the
> previous version.

Yes completely, sorry about that.

(In reply to Katrin Fischer from comment #1)
> I liked the non-stacked, especially since German words are often longer than
> the english ones and the stacked layout gives more flexiblity.

So you prefer the stacked or the non-stacked version? :)

Could you rebase this patch please?
Comment 4 Katrin Fischer 2014-11-25 18:45:57 UTC
Ah right, the stacked! Every option on its own line :)
Comment 5 Owen Leonard 2014-12-02 18:13:20 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2014-12-03 08:10:24 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2014-12-03 08:10:30 UTC Comment hidden (obsolete)
Comment 8 Kyle M Hall 2014-12-05 15:32:01 UTC Comment hidden (obsolete)
Comment 9 Kyle M Hall 2014-12-05 15:32:07 UTC Comment hidden (obsolete)
Comment 10 Tomás Cohen Arazi 2015-01-15 00:34:53 UTC
Please rebase!
Comment 11 Owen Leonard 2015-01-22 19:14:58 UTC
Created attachment 35472 [details] [review]
[PASSED QA] [Rebased] Bug 13235 - Revise layout of patron search form

Bug 9811 (Patron search improvements) reversed the layout changes made
by Bug 10153. This patch returns to the form to its "stacked" layout.

To test, apply the patch and navigate to the Patrons home page. Expand
the hidden search fields in the search header and confirm that the
layout looks correct. Perform some searches and check that the results
are correct and that the modified search fields retain their state.

Note: This patch contains indentation changes, so please diff
accordingly.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 12 Owen Leonard 2015-01-22 19:15:06 UTC
Created attachment 35473 [details] [review]
[PASSED QA] Bug 13235: Move onclick attr to javacsript code

Refactor 1 line of code and add a preventDefault.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 13 Owen Leonard 2015-01-22 19:15:57 UTC
I have rebased my patch and re-attached the follow-up so that they are in the right order.
Comment 14 Tomás Cohen Arazi 2015-01-26 19:37:21 UTC
Patches pushed to master.

Thanks Owen!
Comment 15 Chris Cormack 2015-02-09 20:34:26 UTC
Hmm this doesnt apply on 3.18.x .. if you think it should be on there, could you please rebase it for that. Thanks